NaturalIdentifier (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.criterion
Class NaturalIdentifier

    java.lang.Object
      org.hibernate.criterion.NaturalIdentifier

All Implemented Interfaces:
  Serializable, Criterion

    public class NaturalIdentifier

extends Object
implements Criterion

See Also:
  `Session.byNaturalId(Class)`, `Session.byNaturalId(String)`, `Session.bySimpleNaturalId(Class)`, `Session.bySimpleNaturalId(String)`, Serialized Form

Constructor Summary
`NaturalIdentifier()`

Method Summary
`Map<String,Object>` | `getNaturalIdValues()`
`TypedValue[]` | `getTypedValues(Criteria criteria, CriteriaQuery criteriaQuery)` Return typed values for all parameters in the rendered SQL fragment
`NaturalIdentifier` | `set(String property, Object value)`
`String` | `toSqlString(Criteria criteria, CriteriaQuery criteriaQuery)` Render the SQL fragment

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NaturalIdentifier

    public NaturalIdentifier()

Method Detail

### getTypedValues

    public TypedValue[] getTypedValues(Criteria criteria,
                                       CriteriaQuery criteriaQuery)
                                throws HibernateException

  Description copied from interface: `Criterion`
  Return typed values for all parameters in the rendered SQL fragment

  Specified by:
    `getTypedValues` in interface `Criterion`
  Parameters:
    `criteria` - The local criteria
    `criteriaQuery` - The overal criteria query
  Returns:
    The types values (for binding)
  Throws:
    `HibernateException` - Problem determining types.

### toSqlString

    public String toSqlString(Criteria criteria,
                              CriteriaQuery criteriaQuery)
                       throws HibernateException

  Description copied from interface: `Criterion`
  Render the SQL fragment

  Specified by:
    `toSqlString` in interface `Criterion`
  Parameters:
    `criteria` - The local criteria
    `criteriaQuery` - The overal criteria query
  Returns:
    The generated SQL fragment
  Throws:
    `HibernateException` - Problem during rendering.

### getNaturalIdValues

    public Map<String,Object> getNaturalIdValues()

### set

    public NaturalIdentifier set(String property,
                                 Object value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.